# General field parameters

### Preview setting (as image):

```
'preview' => get_template_directory_uri() . 'some_url.jpg',
```

Radio button can have several previews:

```
'field' => array(
    'type' => 'radio',
    'label' => esc_html__('Radio Button', 'my-domain'),
    'submenu' => esc_html__('General fields', 'my-domain'),
    'options' => array(
        1 => 'One',
        2 => 'Two',
        3 => 'Three',
        4 => 'Four',
    ),
    'previews' => array(
        1 => get_template_directory_uri() . 'some_url_1.jpg',
        2 => get_template_directory_uri() . 'some_url_2.jpg',
        3 => get_template_directory_uri() . 'some_url_3.jpg',
        4 => get_template_directory_uri() . 'some_url_4.jpg',
    ),
    'description' => esc_html__('Manage create listing page section titles front-end and admin', 'my-domain'),
),
```

### Groups

You can start group from single field:

```
'group' => 'started'
```

�And end group in another field. All fields between them will be grouped:

```
'group' => 'ended'
```

Group may have title:

```
'group_title' => esc_html__('Group title', 'my-domain')
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stylemixthemes.com/nuxy/fields/general-field-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
